#![feature(diagnostic_namespace)]
#![allow(dead_code)]

use tracing::{error, info};

mod logging;
mod products;

#[tokio::main]
async fn main() {
    // 初始化日志系统
    logging::initialize_logging();

    // 加载产品数据
    match products::load_products().await {
        Err(e) => error!("Failed to load products: {}", e),
        Ok(_) => info!("Products loaded successfully"),
    }
}
